> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List recordings

> List recordings.



## OpenAPI

````yaml GET /v1/recordings
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/recordings:
    get:
      description: List recordings.
      operationId: getV1Recordings
      parameters:
        - in: query
          name: channelId
          schema:
            type: string
            description: Discard recordings not belonging to this folder (aka channel).
        - in: query
          name: createdAfter
          schema:
            type: string
            description: Discard recordings created before specified time.
        - in: query
          name: createdBefore
          schema:
            type: string
            description: Discard recordings created after specified time.
        - in: query
          name: cursor
          schema:
            type: string
            description: >-
              Paginate the results starting at the cursor returned by a previous
              call.
        - in: query
          name: labels
          schema:
            type: string
            description: >-
              A collection of comma-separated label names. Discard recordings
              matching none of the specified labels. Labels can only be used
              when filtering by folder (aka channel).
        - in: query
          name: limit
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
            description: Return at most "limit" results.
        - in: query
          name: recorderEmail
          schema:
            type: string
            description: >-
              Discard recordings which recorder email does not match specified
              one.
        - in: query
          name: recorderId
          schema:
            type: string
            description: >-
              Discard recordings which recorder identifier does not match
              specified one.
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - created_asc
              - created_desc
              - duration_asc
              - duration_desc
              - title_asc
              - title_desc
            default: created_desc
            description: Sort results according to specified rule.
      responses:
        '200':
          description: Recordings were successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      recordings:
                        type: array
                        items:
                          type: object
                          properties:
                            channel:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: The folder (aka channel) identifier.
                                name:
                                  type: string
                                  description: The folder (aka channel) name.
                              required:
                                - id
                                - name
                              description: The recording folder (aka channel).
                            createdAt:
                              type: string
                              description: The recording creation date.
                            durationSeconds:
                              type: number
                              description: The recording duration in seconds
                            id:
                              type: string
                              description: The recording identifier.
                            labels:
                              type: array
                              items:
                                type: string
                              description: The recording labels.
                            meeting:
                              type: object
                              properties:
                                endingAt:
                                  type: string
                                  description: The time the meeting was planned to end.
                                participants:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      attended:
                                        type: boolean
                                      email:
                                        type: string
                                        description: The participant email.
                                      id:
                                        type: string
                                        description: The participant Claap user identifier.
                                      name:
                                        type: string
                                        description: The participant name.
                                    required:
                                      - attended
                                  description: The meeting participants.
                                startingAt:
                                  type: string
                                  description: The time the meeting was planned to start.
                                type:
                                  type: string
                                  enum:
                                    - internal
                                    - external
                                  description: >-
                                    Set to "external" if at least one
                                    participant was external, "internal"
                                    otherwise.
                              required:
                                - endingAt
                                - participants
                                - startingAt
                                - type
                              description: The meeting attached to the recording
                            recorder:
                              type: object
                              properties:
                                attended:
                                  type: boolean
                                email:
                                  type: string
                                  description: The recorder email.
                                id:
                                  type: string
                                  description: The recorder user identifier.
                                name:
                                  type: string
                                  description: The recorder name.
                              required:
                                - attended
                                - email
                                - id
                                - name
                              description: The recording author.
                            source:
                              type: string
                              enum:
                                - Aircall
                                - Allo
                                - Api
                                - Call
                                - GoogleMeet
                                - LemlistVoip
                                - Loom
                                - MsTeams
                                - Ringover
                                - Uploaded
                                - Zoom
                              description: >-
                                How the recording was captured. Reflects the
                                meeting platform (e.g. `Zoom`, `GoogleMeet`,
                                `MsTeams`), VoIP provider (e.g. `Aircall`,
                                `Ringover`, `Allo`), `Call` for other call
                                platforms, `Uploaded` for recordings uploaded
                                through the application, or `Api` when created
                                through the API without an explicit source.
                            state:
                              type: string
                              const: Ready
                            thumbnailUrl:
                              type: string
                              description: The recording thumbnail URL.
                            title:
                              type: string
                              description: The recording title.
                            transcripts:
                              type: array
                              items:
                                type: object
                                properties:
                                  isActive:
                                    type: boolean
                                    description: >-
                                      Set to true on the transcript or
                                      translation currently active on the
                                      recording.
                                  isTranscript:
                                    type: boolean
                                    description: >-
                                      Set to true on the original transcript, to
                                      false on translations.
                                  langIso2:
                                    type: string
                                    description: >-
                                      The 2-letters language code for the
                                      transcript or translation.
                                  textUrl:
                                    type: string
                                    description: >-
                                      The download URL for the text
                                      representation of the transcript, valid
                                      for 24 hours.
                                  url:
                                    type: string
                                    description: >-
                                      The download URL for the JSON
                                      representation of the transcript, valid
                                      for 24 hours.
                                required:
                                  - textUrl
                                  - url
                              description: The recording transcript and translations.
                            url:
                              type: string
                              description: The recording page URL in Claap application.
                            video:
                              type: object
                              properties:
                                url:
                                  type: string
                                  description: The recording video URL, valid for 24 hours
                              required:
                                - url
                              description: The recording video.
                            workspace:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: The workspace identifier.
                                name:
                                  type: string
                                  description: The workspace name.
                              required:
                                - id
                                - name
                              description: The recording workspace.
                          required:
                            - createdAt
                            - durationSeconds
                            - id
                            - labels
                            - recorder
                            - state
                            - thumbnailUrl
                            - transcripts
                            - url
                            - video
                            - workspace
                      pagination:
                        type: object
                        properties:
                          nextCursor:
                            type: string
                          totalCount:
                            type: number
                        required:
                          - totalCount
                    required:
                      - recordings
                      - pagination
                required:
                  - result
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````